| Version: 3.3.1

Public Member Functions | List of all members
wxPropertyGridIterator Class Reference

`#include <wx/propgrid/propgridpagestate.h>`

Inheritance diagram for wxPropertyGridIterator:
[legend]

## Public Member Functions
| wxPropertyGridIterator ()
| wxPropertyGridIterator (wxPropertyGridPageState *state, int flags=wxPG_ITERATE_DEFAULT, wxPGProperty *property=nullptr, int dir=1)
| wxPropertyGridIterator (wxPropertyGridPageState *state, int flags, int startPos, int dir=0)
| wxPropertyGridIterator (const wxPropertyGridIterator &it)
| ~wxPropertyGridIterator ()
Public Member Functions inherited from wxPropertyGridIteratorBase
void | Assign (const wxPropertyGridIteratorBase &it)
bool | AtEnd () const
wxPGProperty * | GetProperty () const
| Get current property. More...
void | Init (wxPropertyGridPageState *state, int flags, wxPGProperty *property, int dir=1)
void | Init (wxPropertyGridPageState *state, int flags, int startPos=wxTOP, int dir=0)
void | Next (bool iterateChildren=true)
| Iterate to the next property. More...
void | Prev ()
| Iterate to the previous property. More...
void | SetBaseParent (wxPGProperty *baseParent)
| Set base parent, i.e. More...

## Additional Inherited Members
Protected Member Functions inherited from wxPropertyGridIteratorBase
| wxPropertyGridIteratorBase ()

## Constructor & Destructor Documentation

## ◆ wxPropertyGridIterator() [1/4]

wxPropertyGridIterator::wxPropertyGridIterator | ( |  | ) |

## ◆ wxPropertyGridIterator() [2/4]

wxPropertyGridIterator::wxPropertyGridIterator | ( | wxPropertyGridPageState * | state,
|  | int | flags = `wxPG_ITERATE_DEFAULT`,
|  | wxPGProperty * | property = `nullptr`,
|  | int | dir = `1`
| ) |  |

## ◆ wxPropertyGridIterator() [3/4]

wxPropertyGridIterator::wxPropertyGridIterator | ( | wxPropertyGridPageState * | state,
|  | int | flags,
|  | int | startPos,
|  | int | dir = `0`
| ) |  |

## ◆ wxPropertyGridIterator() [4/4]

wxPropertyGridIterator::wxPropertyGridIterator | ( | const wxPropertyGridIterator & | it | ) |

## ◆ ~wxPropertyGridIterator()

wxPropertyGridIterator::~wxPropertyGridIterator | ( |  | ) |